Flow Run Metrics
Query for time series metrics that will provide you details around the total number of flow run invocations, failures, errors and similar metrics.
In order to query flow run metrics you must have the Flow ID and perform a HTTP request to the following endpoint with a valid access key.
| Filter Types | Filter ID |
|---|---|
| flow | The Flow ID from the flow |
POST
/workspaces/{workspaceId}/reporting/flowruns/{filterType}/{filterId}/metrics
Fetch flow metrics for a flow
Verzoek-payload
periodStart
string
verplicht
periodEnd
string
verplicht
periodGroup
string
verplicht
Possible values: minute, hour, day, month
groupBy
array of string
Antwoord-payload
periodGroup
string
Possible values: minute, hour, day, month
dataColumns
array of string
verplicht
results
array of object
Onderliggende attributen tonen
results.periodTime
string
verplicht
results.count
integer
results.data
array of string
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/reporting/flowruns/{filterType}/{filterId}/metrics' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'